%global commit0 dda5aa74a63abfdbde6c52ad067de628f6b7c615
%global shortcommit0 %(c=%{commit0}; echo ${c:0:12})

%global ext_manager dwbem
%global remote dwbremote

Name:           dwb
Version:        2015.10.09
Release:        1.20151009git%{?dist}
Summary:        Dynamic web browser based on WebKit and GTK+

License:        GPLv3+
URL:            https://bitbucket.org/portix/dwb/wiki/Home
Source0:        https://bitbucket.org/portix/%{name}/get/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

# Remove a -Werror flag that makes the build fail
patch0:         Werror.patch
Patch1:         dwb-gtk-deprecated.patch
Patch2:         dwb-rawhide-isnan.patch

BuildRequires:  readline-devel
BuildRequires:  gtk3-devel
BuildRequires:  webkitgtk3-devel
BuildRequires:  json-c-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gnutls-devel
BuildRequires:  m4

%description
dwb is small webkit-based web-browser in the spirit of tiling window managers,
that aims to be mostly keyboard-driven.

%prep
%setup -qn portix-%{name}-%{shortcommit0}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make GTK=3 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install GTK=3 DISABLE_HSTS=1 DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files
%{_bindir}/%{name}
%{_bindir}/%{ext_manager}
%{_bindir}/%{remote}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{ext_manager}.1.gz
%{_mandir}/man1/%{remote}.1.gz
%{_mandir}/man7/%{name}-js.7.gz
%{_datadir}/pixmaps/%{name}.png

%license COPYING gpl-3.0.txt
%doc README CHANGELOG AUTHORS

%changelog
* Wed Dec 16 2015 Patrick Uiterwijk <puiterwijk@redhat.com> - 2015.10.09-1.20151009git
- Brought in compliance with pre-relase packaging guidelines

* Tue Dec 15 2015 Patrick Uiterwijk <puiterwijk@redhat.com> - 2015.10.09-1
- Rebase to newer upstream
- Add patch to make upstream work on rawhide

* Thu Aug 20 2015 Sébastien Willmann <sebastien.willmann@gmail.com> - 2014.03.07-6
- Added gnutls-devel and m4 as BuildRequires

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014.03.07-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Sep 05 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 2014.03.07-4
- Fix for deprecated symbols in gtk3-3.13 (#1106189)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014.03.07-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014.03.07-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 07 2014 sebastien.willmann@gmail.com - 2014.03.07-1
- Update to version 2014.03.07
- Fixed build by removing a -Werror flag
- Added dwbremote

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013.03.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 02 2013 Sébastien Willmann <sebastien.willmann@gmail.com> - 2013.03.30-1
- Update to version 2013.03.30
- Disable HSTS support to resolve build failure

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012.12.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 21 2012 Sebastien Willmann <sebastien.willmann@gmail.com> - 2012.12.03-1
- Update to version 2012.12.03

* Sat Nov 03 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2012.10.28-1
- Update to version 2012.10.28

* Wed Aug 22 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2012.08.22-1
- Updated to version 2012.08.22

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012.05.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun May 13 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2012.05.11-1
- Update to version 2012.05.11

* Sun Mar 04 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2012.02.01-3
- Added desktop file validation

* Sun Mar 04 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2012.02.01-2
- Added Mime type and desktop database update
- Split BR on two lines, removed deffattr, removed blank lines

* Sun Mar 04 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2012.02.01-1
- Initial version

